# Class MouseInputAdapter

java.lang.Object
java.awt.event.MouseAdapter
javax.swing.event.MouseInputAdapter

All Implemented Interfaces:
  `MouseListener, MouseMotionListener, MouseWheelListener, EventListener, MouseInputListener`

Direct Known Subclasses:
  `BasicDesktopIconUI.MouseInputHandler, BasicInternalFrameUI.BorderListener, BasicSliderUI.TrackListener`

public abstract class MouseInputAdapter extends MouseAdapter implements MouseInputListener
An empty implementation of the `MouseInputListener` interface, provided as a convenience to simplify the task of creating listeners, by extending and implementing only the methods of interest. This class also provides an empty implementation of the `MouseWheelListener` interface, through its extension from AWT's `MouseAdapter`.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `MouseInputAdapter()`
  Constructor for subclasses to call.

- ## Method Summary

  ### Methods declared in class MouseAdapter

  `mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, mouseWheelMoved`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface MouseListener

  `mouseClicked, mouseEntered, mouseExited, mousePressed, mouseReleased`

  ### Methods declared in interface MouseMotionListener

  `mouseDragged, mouseMoved`

- ## Constructor Details

  - ### MouseInputAdapter

    protected MouseInputAdapter()
    Constructor for subclasses to call.